> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algoreg.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search transactions

> Searches for KYT transactions that match the specified input.

## Body parameters

<ParamField body="after" type="string" />

<ParamField body="amount_equals" type="number" />

<ParamField body="amount_gte" type="number" />

<ParamField body="amount_lte" type="number" />

<ParamField body="before" type="string" />

<ParamField body="comment" type="string" />

<ParamField body="context" type="string" />

<ParamField body="converted_amount_equals" type="number" />

<ParamField body="converted_amount_gte" type="number" />

<ParamField body="converted_amount_lte" type="number" />

<ParamField body="crypto_blockchain" type="string" />

<ParamField body="crypto_tx_hash" type="string" />

<ParamField body="currency" type="string" />

<ParamField body="customer" type="string" />

<ParamField body="customers" type="string[]" />

<ParamField body="external_id" type="string" />

<ParamField body="from_customer" type="string" />

<ParamField body="from_institution" type="string" />

<ParamField body="limit" type="integer" />

<ParamField body="offset" type="integer" />

<ParamField body="review_groups" type="string[]" />

<ParamField body="score" type="number" />

<ParamField body="state" type="KYTTransactionState">
  <Expandable title="properties" />
</ParamField>

<ParamField body="tags" type="string[]" />

<ParamField body="to_customer" type="string" />

<ParamField body="to_institution" type="string" />

## Response body

<Tabs>
  <Tab title="200">
    <ResponseField name="data" type="Transaction[]">
      <Expandable title="properties">
        <ResponseField name="amount" type="number" />

        <ResponseField name="client_id" type="integer" />

        <ResponseField name="comment" type="string" />

        <ResponseField name="context" type="string" />

        <ResponseField name="converted_amount" type="number" />

        <ResponseField name="converted_currency" type="string" />

        <ResponseField name="converted_date" type="string" />

        <ResponseField name="crypto" type="Crypto">
          <Expandable title="properties">
            <ResponseField name="blockchain" type="string" />

            <ResponseField name="tx_hash" type="string" />
          </Expandable>
        </ResponseField>

        <ResponseField name="currency" type="string" />

        <ResponseField name="customers" type="string[]" />

        <ResponseField name="date" type="string" />

        <ResponseField name="external_id" type="string" />

        <ResponseField name="fields" type="any" />

        <ResponseField name="from" type="Participant">
          <Expandable title="properties">
            <ResponseField name="account_type" type="string" />

            <ResponseField name="device" type="Device">
              <Expandable title="properties">
                <ResponseField name="2fa" type="boolean" />

                <ResponseField name="3ds" type="boolean" />

                <ResponseField name="country" type="string" />

                <ResponseField name="fingerprint" type="string" />

                <ResponseField name="geolocation" type="string" />

                <ResponseField name="ip" type="string" />

                <ResponseField name="language" type="string" />

                <ResponseField name="session_duration" type="number" />

                <ResponseField name="session_id" type="string" />

                <ResponseField name="user_agent" type="string" />
              </Expandable>
            </ResponseField>

            <ResponseField name="domicile_code" type="string" />

            <ResponseField name="external_id" type="string">
              may be an alias
            </ResponseField>

            <ResponseField name="full_name" type="string" />

            <ResponseField name="payment_institution" type="PaymentInstitution">
              <Expandable title="properties">
                <ResponseField name="code" type="string" />

                <ResponseField name="country" type="string" />

                <ResponseField name="external_id" type="string">
                  may be an alias
                </ResponseField>

                <ResponseField name="internal_customer_id" type="string" />

                <ResponseField name="name" type="string" />

                <ResponseField name="real_external_id" type="string">
                  if external\_id is an alias, this will be different from it; does not need to be in the input, it will be computed by the system.
                </ResponseField>
              </Expandable>
            </ResponseField>

            <ResponseField name="payment_method" type="PaymentMethod">
              <Expandable title="properties">
                <ResponseField name="code" type="string" />

                <ResponseField name="country" type="string" />

                <ResponseField name="type" type="string" />
              </Expandable>
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="id" type="string" />

        <ResponseField name="review_groups" type="string[]" />

        <ResponseField name="rules" type="Rule[]">
          <Expandable title="properties">
            <ResponseField name="active" type="boolean" />

            <ResponseField name="code" type="string" />

            <ResponseField name="score" type="number" />

            <ResponseField name="use_weight" type="boolean" />

            <ResponseField name="weight" type="number" />
          </Expandable>
        </ResponseField>

        <ResponseField name="score" type="number" />

        <ResponseField name="search_vector" type="string[]" />

        <ResponseField name="state" type="KYTTransactionState">
          <Expandable title="properties" />
        </ResponseField>

        <ResponseField name="to" type="Participant">
          <Expandable title="properties">
            <ResponseField name="account_type" type="string" />

            <ResponseField name="device" type="Device">
              <Expandable title="properties">
                <ResponseField name="2fa" type="boolean" />

                <ResponseField name="3ds" type="boolean" />

                <ResponseField name="country" type="string" />

                <ResponseField name="fingerprint" type="string" />

                <ResponseField name="geolocation" type="string" />

                <ResponseField name="ip" type="string" />

                <ResponseField name="language" type="string" />

                <ResponseField name="session_duration" type="number" />

                <ResponseField name="session_id" type="string" />

                <ResponseField name="user_agent" type="string" />
              </Expandable>
            </ResponseField>

            <ResponseField name="domicile_code" type="string" />

            <ResponseField name="external_id" type="string">
              may be an alias
            </ResponseField>

            <ResponseField name="full_name" type="string" />

            <ResponseField name="payment_institution" type="PaymentInstitution">
              <Expandable title="properties">
                <ResponseField name="code" type="string" />

                <ResponseField name="country" type="string" />

                <ResponseField name="external_id" type="string">
                  may be an alias
                </ResponseField>

                <ResponseField name="internal_customer_id" type="string" />

                <ResponseField name="name" type="string" />

                <ResponseField name="real_external_id" type="string">
                  if external\_id is an alias, this will be different from it; does not need to be in the input, it will be computed by the system.
                </ResponseField>
              </Expandable>
            </ResponseField>

            <ResponseField name="payment_method" type="PaymentMethod">
              <Expandable title="properties">
                <ResponseField name="code" type="string" />

                <ResponseField name="country" type="string" />

                <ResponseField name="type" type="string" />
              </Expandable>
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="total" type="integer" />
  </Tab>

  <Tab title="default">
    unexpected error

    <ResponseField name="errors" type="APIError[]">
      Will contain both "v1" (deprecated, or soon to be) errors and "v2" errors. When possible, prefer errors that are not deprecated.

      <Expandable title="properties">
        <ResponseField name="code" type="string" />

        <ResponseField name="deprecated" type="boolean" />

        <ResponseField name="message" type="string" />

        <ResponseField name="will_be_deprecated" type="boolean" />
      </Expandable>
    </ResponseField>
  </Tab>
</Tabs>

<RequestExample>
  ```json JSON
  {
    "after": "string",
    "amount_equals": "number",
    "amount_gte": "number",
    "amount_lte": "number",
    "before": "string",
    "comment": "string",
    "context": "string",
    "converted_amount_equals": "number",
    "converted_amount_gte": "number",
    "converted_amount_lte": "number",
    "crypto_blockchain": "string",
    "crypto_tx_hash": "string",
    "currency": "string",
    "customer": "string",
    "customers": [
      "string"
    ],
    "external_id": "string",
    "from_customer": "string",
    "from_institution": "string",
    "limit": "integer",
    "offset": "integer",
    "review_groups": [
      "string"
    ],
    "score": "number",
    "state": {},
    "tags": [
      "string"
    ],
    "to_customer": "string",
    "to_institution": "string"
  }
  ```

  ```javascript JavaScript

    const response = await fetch(
      "POST /api/v1/kyt/transactions",
      {
        method: "post",
        headers: {
          "Content-Type": "application/json",
          "Authorization": `Bearer {token}`
        },
        body: JSON.stringify({
    "after": "string",
    "amount_equals": "number",
    "amount_gte": "number",
    "amount_lte": "number",
    "before": "string",
    "comment": "string",
    "context": "string",
    "converted_amount_equals": "number",
    "converted_amount_gte": "number",
    "converted_amount_lte": "number",
    "crypto_blockchain": "string",
    "crypto_tx_hash": "string",
    "currency": "string",
    "customer": "string",
    "customers": [
      "string"
    ],
    "external_id": "string",
    "from_customer": "string",
    "from_institution": "string",
    "limit": "integer",
    "offset": "integer",
    "review_groups": [
      "string"
    ],
    "score": "number",
    "state": {},
    "tags": [
      "string"
    ],
    "to_customer": "string",
    "to_institution": "string"
  })
      }
    );
              
            
  ```
</RequestExample>

<ResponseExample>
  ```json 200
  {
    "data": [
      {
        "amount": "number",
        "client_id": "integer",
        "comment": "string",
        "context": "string",
        "converted_amount": "number",
        "converted_currency": "string",
        "converted_date": "string",
        "crypto": {
          "blockchain": "string",
          "tx_hash": "string"
        },
        "currency": "string",
        "customers": [
          "string"
        ],
        "date": "string",
        "external_id": "string",
        "fields": "any",
        "from": {
          "account_type": "string",
          "device": {
            "2fa": "boolean",
            "3ds": "boolean",
            "country": "string",
            "fingerprint": "string",
            "geolocation": "string",
            "ip": "string",
            "language": "string",
            "session_duration": "number",
            "session_id": "string",
            "user_agent": "string"
          },
          "domicile_code": "string",
          "external_id": "string",
          "full_name": "string",
          "payment_institution": {
            "code": "string",
            "country": "string",
            "external_id": "string",
            "internal_customer_id": "string",
            "name": "string",
            "real_external_id": "string"
          },
          "payment_method": {
            "code": "string",
            "country": "string",
            "type": "string"
          }
        },
        "id": "string",
        "review_groups": [
          "string"
        ],
        "rules": [
          {
            "active": "boolean",
            "code": "string",
            "score": "number",
            "use_weight": "boolean",
            "weight": "number"
          }
        ],
        "score": "number",
        "search_vector": [
          "string"
        ],
        "state": {},
        "to": {
          "account_type": "string",
          "device": {
            "2fa": "boolean",
            "3ds": "boolean",
            "country": "string",
            "fingerprint": "string",
            "geolocation": "string",
            "ip": "string",
            "language": "string",
            "session_duration": "number",
            "session_id": "string",
            "user_agent": "string"
          },
          "domicile_code": "string",
          "external_id": "string",
          "full_name": "string",
          "payment_institution": {
            "code": "string",
            "country": "string",
            "external_id": "string",
            "internal_customer_id": "string",
            "name": "string",
            "real_external_id": "string"
          },
          "payment_method": {
            "code": "string",
            "country": "string",
            "type": "string"
          }
        }
      }
    ],
    "total": "integer"
  }
  ```

  ```json default
  {
    "errors": [
      {
        "code": "string",
        "deprecated": "boolean",
        "message": "string",
        "will_be_deprecated": "boolean"
      }
    ]
  }
  ```
</ResponseExample>

<script type="application/javascript">document.body.style.opacity = 0;</script>

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/decrypt.js" />

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/text-replace.js" />
